import javax.script.*;
import java.io.*;

public class Sample {
  public interface Greeter {
    public String greet(String name);
    public void bye(String name);
  }
  
  public static void main(String[] args) throws ScriptException, FileNotFoundException, NoSuchMethodException {
    ScriptEngine nashorn = new ScriptEngineManager().getEngineByName("nashorn");
    Bindings bindings = nashorn.getBindings(ScriptContext.ENGINE_SCOPE);
    bindings.put("name", "Jake");
    nashorn.eval(new FileReader("sample.js"));
  }
}
